- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.contentPacks/deployConnectorInstances#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.contentPacks/deployConnectorInstances#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.contentPacks/deployConnectorInstances#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.contentPacks/deployConnectorInstances#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.contentPacks/deployConnectorInstances#body.InstallContentPackConnectorInstanceResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.contentPacks/deployConnectorInstances#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.contentPacks/deployConnectorInstances#body.aspect_1)

**Full name**: projects.locations.instances.contentHub.contentPacks.deployConnectorInstances

Deploys connector instances from a content pack. Use this method to automatically configure data ingestion from specified security products.

### HTTP request

`POST https://{endpoint}/v1alpha/{name}:deployConnectorInstances`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the ContentPack to install connector instance. Format: projects/{project}/locations/{location}/instances/{instance}/contentHub/contentPacks/{contentPack} |

### Request body

The request body must be empty.

### Response body

Response message for installing connector instance.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "installedConnectorInstances": [ string ] } ``` |

| Fields ||
|---|---|
| `installedConnectorInstances[]` | `string` Output only. List of installed connector instances |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.contentPacks.install`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).